# Symfony Configuration
framework:
    secret:                 Hell yeah!
    router:
        resource: "%kernel.project_dir%/app/config/routing.yml"
        utf8: false
    form:                   true
    csrf_protection:        true
    default_locale:         en
    translator:             { fallback: en }
    test:                   ~
    session:
        storage_factory_id: session.storage.factory.mock_file
    profiler:
        collect: false
    fragments:              ~

# Twig Configuration
twig:
    debug:            "%kernel.debug%"
    strict_variables: "%kernel.debug%"
    exception_controller: null

# Doctrine Configuration
doctrine:
    dbal:
        driver: "pdo_sqlite"
        path:   "%kernel.cache_dir%/database.db3"

    orm:
        auto_generate_proxy_classes: "%kernel.debug%"
        auto_mapping: true

services:
    _defaults:
        autowire: true
        autoconfigure: true
    Vich\TestBundle\Controller\:
        resource: '../../../TestBundle/src/Controller'
    Vich\TestBundle\Naming\:
        resource: '../../../TestBundle/src/Naming'
        public: true

vich_uploader:
    db_driver: orm

    metadata:
        type: annotation

    mappings:
        image_mapping:
            uri_prefix:         /images
            upload_destination: "%kernel.cache_dir%/images"
            inject_on_load:     true
            delete_on_update:   true
            delete_on_remove:   true
            namer:              Vich\TestBundle\Naming\DummyNamer
